Page MenuHomePhabricator

WMTC19: Themes/Focus Areas Proposals
Closed, ResolvedPublic

Description

The 2019 technical conference in Atlanta has a vision statement:

Becoming the essential infrastructure of Free Knowledge requires a diverse and equitable technical contributor community (staff and volunteers alike). To reduce barriers to entry and to enable faster and easier development, we must provide a modern and complete engineering productivity ecosystem. Everything from code-review and code health, to local development and testing, from proof of concept creation to production deployment and monitoring.


We are collecting feedback on the five main theme areas and associated sessions that the Program Committee is proposing. The themes are:

  1. Local Development and onboarding
  2. Testing
  3. Deploying and Hosting
  4. Standardization Decisions
  5. People and Processes

Please comment now! Commenting period ends October 13th 2019 (deadline extended over the weekend) at which point themes and sessions will be final.

Related Objects

StatusSubtypeAssignedTask
ResolvedRfarrand
Resolvedjosephine_l
Resolvedjeena
DeclinedNone
Resolvedbd808
DeclinedNone
Resolvedjeena
Resolvedgreg
Resolvedzeljkofilipin
Resolveddaniel
Resolvedkostajh
Resolved hashar
ResolvedWMDE-leszek
DeclinedWMDE-leszek
Resolvedthcipriani
ResolvedWMDE-leszek
ResolvedJrbranaa
ResolvedAddshore
DeclinedWMDE-leszek
ResolvedJoe
DeclinedWMDE-leszek
Resolvedkaldari
ResolvedMooeypoo
Declinedkaldari
ResolvedFranziska_Heine
ResolvedEtonkovidova
ResolvedTgr
ResolvedJrbranaa
DeclinedAmire80
ResolvedBmueller
ResolvedBmueller
ResolvedWDoranWMF
ResolvedJrbranaa
ResolvedBmueller
ResolvedWMDE-Fisch

Event Timeline

Rfarrand created this task.Sep 27 2019, 6:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2019, 6:25 PM
Rfarrand triaged this task as Medium priority.Sep 27 2019, 6:33 PM
Rfarrand updated the task description. (Show Details)Sep 27 2019, 6:40 PM
Rfarrand updated the task description. (Show Details)
Bmueller updated the task description. (Show Details)Sep 28 2019, 5:31 AM

The proposals for the session themes have been added to the sub-tasks of this ticket. Tomorrow we will be adding session proposals. Anyone is welcome to comment on them (a prompt email will go out to participants tomorrow), make suggestions, and let us know what is missing. A week from tomorrow the sessions and themes will be final and we will begin building the sessions.

Thanks for your input!

Please add tokens to the theme area that you are most interested in!
Please either comment on the specific theme task or contact the task owner directly if you are interested in helping to build, run, or think through one of the proposed sessions!

Rfarrand updated the task description. (Show Details)Oct 4 2019, 6:49 PM
hashar updated the task description. (Show Details)Oct 7 2019, 1:04 PM

I took the liberty to update this task description as well as the description of each themes tasks.

TheDJ added a subscriber: TheDJ.Oct 8 2019, 9:01 PM

Hi, just a quick note, that due to a very busy and long week for me where I am at an exhibit for work, I won't have time to read any of this before the 11th, when I return from this event. I'm happy to spend some time during the weekend, to still go through everything and provide commentary and you can do with it as you desire.

@TheDJ fun fact! We have just decided to extend the deadline through the weekend to help give volunteers more time (will be announcing that by email Thursday) so you should be all good. Thanks for taking the time to comment over the weekend!

@Rfarrand: task description says:

Please comment now! Commenting period ends October 11st 2019 at which point themes and sessions will be final.

Was the deadline extended, or is it still Friday October 11?

Hi!

I already commented about it in relevant tasks, but if I can volunteer to lead a session in Atlanta, should I be bold, edit the task description and add myself? Or will the organizers decide who's the leader?

@zeljkofilipin, I failed to send the reminder yesterday but I have just sent it. Deadline is Sunday EoD any timezone. I will go through and edit tasks now.
@Amire80 please work with the Program Committee member owning that theme - I don't think they will have any trouble adding you as the lead or co-lead for a session, but they should have an overall big picture understanding and final OK on all sessions under their theme. Say it on the task or email them directly as you like. :)

Rfarrand updated the task description. (Show Details)Oct 11 2019, 5:33 PM

Oops, I've assumed tasks are to be edited freely, I've already edited at least a couple. 🤔

Tgr added a subscriber: Tgr.EditedOct 14 2019, 9:56 AM

Becoming the essential infrastructure of Free Knowledge requires a diverse and equitable technical contributor community (staff and volunteers alike).

...is a nice sentiment but this session plan seems to be dominated by staff. Huge swathes of volunteer audiences are squeezed into a single session (on-wiki tooling) or completely unrepresented (developers working on Cloud Services), developers and operators of 3rd-party MediaWiki get very little coverage.

Tgr added a comment.EditedOct 14 2019, 10:00 AM

(Also for that matter one week to discuss the contents of a conference seems ridiculously short, and doubly so for volunteers, even with the extra weekend. I understand the timeline is tight so close to the conference, but why is it left to the last second year after year?)

Tgr added a comment.EditedOct 14 2019, 10:16 AM

One IMO very important topic that does not quite fit into any of the tracks is interactive computing (as in, tools that take code and provide very prompt feedback - Quarry, PAW/SWAP, shell.php/eval.php). Tool developers and rely on Quarry and PAWS a lot, and they would rely on them a whole lot more if they were not as rudimentary as they are; Quarry especially is fundamental in self-evaluation and self-analysis of a wiki community; they are also great entry points for formerly non-technical contributors into the technical community as they remove most of the accidental complexity from inherently simple tasks; the MediaWiki REPLs are fundamental in debugging workflows; and all of these are completely unowned and receive ad hoc maintenance at best. Tooling support for the browser developer toolbar, which does not exist but should, also falls into this area.

greg closed this task as Resolved.Dec 17 2019, 11:18 PM
greg closed subtask T234088: Theme: Testing as Resolved.
greg closed subtask T234089: Theme: Deploying and Hosting as Resolved.

\o/